# H225_ServiceControlSession Class Reference

`#include <h225.h>`

Inheritance diagram for H225_ServiceControlSession:

List of all members.

## Public Types

enum | OptionalFields { e_contents }

## Public Member Functions

| H225_ServiceControlSession (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_sessionId
H225_ServiceControlDescriptor | m_contents
H225_ServiceControlSession_reason | m_reason

## Member Enumeration Documentation

enum H225_ServiceControlSession::OptionalFields

Enumerator:

  e_contents |

## Constructor & Destructor Documentation

H225_ServiceControlSession::H225_ServiceControlSession | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_ServiceControlSession::GetDataLength | ( |  | ) | const

PBoolean H225_ServiceControlSession::Decode | ( | PASN_Stream & | strm | ) |

void H225_ServiceControlSession::Encode | ( | PASN_Stream & | strm | ) | const

void H225_ServiceControlSession::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_ServiceControlSession::Compare | ( | const PObject & | obj | ) | const

PObject* H225_ServiceControlSession::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H225_ServiceControlSession::m_sessionId

H225_ServiceControlDescriptor H225_ServiceControlSession::m_contents

H225_ServiceControlSession_reason H225_ServiceControlSession::m_reason

The documentation for this class was generated from the following file:

- h225.h